@import '@styles/color.scss';
@import '@styles/base';
@import url('https://fonts.googleapis.com/css2?family=Manrope:wght@200;800&display=swap');

.mainContainer {
  width: 100vw;
  height: 100vh;
  @include directionY;
  @include directionCenter;
  background-color: $dark-blue;
}

.contentContainer {
  width: 26rem;
  height: 20rem;
  border-radius: 15px;
  padding: 1rem;
  @include directionY;
  align-items: center;
  background-color: $grayish-blue;
  @include apply-at-md-size-only {
    width: 21rem;
    height: 22rem;
  }
  @include apply-at-xs2-size-only {
    width: 16rem;
    height: 24rem;
  }
}

.number {
  font-family: 'Manrope';
  font-size: 14px;
  font-weight: 800;
  line-height: 19px;
  letter-spacing: 0.25em;
  color: $neon-green;
  padding-top: 4rem;
}

.quote {
  font-family: 'Manrope';
  font-size: 28px;
  font-weight: 800;
  line-height: 38px;
  letter-spacing: -0.01em;
  text-align: center;
  color: $light-cyan;
  padding-top: 3rem;
}

.lineQuote {
  @include directionX;
  justify-content: center;
  align-items: center;
  bottom: 14rem;
  position: absolute;
}

.line {
  width: 8rem;
}

button {
  border-radius: 50%;
  width: 3.5rem;
  height: 3.5rem;
  border: none;
  background-color: $neon-green;
  display: flex;
  @include directionCenter;
  margin-top: -2rem;
}

button:hover {
  box-shadow: 0px 0px 20px 6px rgb(82, 255, 168);
}

.imgButton {
  width: 1.5rem;
  height: 1.5rem;
}
